class c {
  resourceContext;
  constructor(t) {
    this.resourceContext = t;
  }
  returnAsset = ({ name: t, resourceUrl: s, mainFolder: e, extension: r, subFolder: u }) => `${s}/${e ? `${e}/` : ""}${u ? `${u}/` : ""}${t}${r ? `.${r}` : ""}`;
  getAssetUrl = (t) => this.returnAsset({ resourceUrl: this.resourceContext, ...t });
  getAsset(t = {}) {
    return (s) => this.getAssetUrl({ ...t, ...s });
  }
}
export {
  c as Assets
};
